﻿@import 'src/assets/sass/variables/color';

// CSS for the Dynamic component

.boxes-resources-buttons {
  display: flex;
  justify-content: center;
  margin-bottom: 8px;
  .boxes-resources-button {
    cursor: pointer;
    border: solid var(--accent--dark) 2px;
    width: 95px;
    height: 23px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    &:first-of-type {
      border-top-left-radius: 4px;
      border-bottom-left-radius: 4px;
      border-right: 0;
    }
    &:last-of-type {
      border-top-right-radius: 4px;
      border-bottom-right-radius: 4px;
      border-left: 0;
    }
    &.active {
      background-color: var(--accent--dark);
      p {
        color: #ffffff;
      }
    }
    p {
      margin: 0;
      padding: 0;
      color: var(--accent--dark);
      font-size: 10px;
      text-align: center;
      text-transform: uppercase;
      -webkit-user-select: none; /* Chrome all / Safari all */
      -moz-user-select: none; /* Firefox all */
      -ms-user-select: none; /* IE 10+ */
      user-select: none; /* Likely future */
    }
  }
}

.panel-0 {
  --panel: 0;
}
.panel-1 {
  --panel: 1;
}
.panel-2 {
  --panel: 2;
}
.boxes-resources {
  display: grid;
  gap: 16px;
  grid-auto-columns: minmax(0, 1fr);
  grid-auto-flow: column;
  width: calc(300% + 32px);
  transform: translateX(calc(var(--panel) * calc(calc(100% - 32px) / -3 - 16px)));
  transition: transform 200ms ease-in-out;
  .box-resources {
    display: flex;
    flex-direction: column;
    gap: 8px;
    margin-bottom: 16px;
    p {
      color: black;
    }
    .box-resource {
      background-color: white;
      border-radius: 4px;
      padding: 8px;
      &:hover .box-resource__title {
        color: var(--accent--dim);
      }
    }
    .box-resource__title {
      display: -webkit-box;
      -webkit-line-clamp: 1;
      -webkit-box-orient: vertical;
      overflow: hidden;
      color: var(--accent--dark);
    }
    .box-resource__stats {
      display: flex;
      gap: 8px;
      span {
        font-size: 10px;
        text-transform: uppercase;
        margin-bottom: 4px;
        color: black;
      }
    }
    .box-resource__description {
      --number-lines: 3;
      --line-height: 19px;
      display: -webkit-box;
      -webkit-line-clamp: var(--number-lines);
      -webkit-box-orient: vertical;
      overflow: hidden;
      font-style: normal;
      font-weight: normal;
      font-size: 14px;
      line-height: var(--line-height);
      height: calc(var(--number-lines) * var(--line-height));
      margin: 0;
    }
  }
}

.widget-buttons {
  display: flex;
  gap: 16px;
  & > app-dynamic {
    flex-grow: 6;
  }

  .widget-paging__wrapper {
    flex-grow: 1;
    display: flex;
    gap: 16px;
    & > app-dynamic {
      width: calc(50% - 8px);
      & > a {
        cursor: pointer;
        user-select: none;
      }
    }
  }
}

.disabled {
  pointer-events: none;
  cursor: default;
  color: #d1d4d8 !important;
  border-color: #d1d4d8;
}
